aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorJeff Morriss <jeff.morriss.ws@gmail.com>2013-06-05 14:08:40 +0000
committerJeff Morriss <jeff.morriss.ws@gmail.com>2013-06-05 14:08:40 +0000
commit470bd4455a17a3d4e3ad1694fd64376720a768a9 (patch)
treed093826bf18419000b746b4e6381c2ba1993b709 /tools
parent2a3013fbe11d825a814b665f962689525e26db4b (diff)
Add a new environment variable to cause abort()s if we add too many items
to the tree (to separate this case from the generic DISSECTOR_BUG case). Enable this environment variable when fuzz testing. Enable the 3rd (without tree but with a read filter) check (added in r49643) when testing capture files but not when fuzz testing--not sure if we want to add even more to the fuzzbot's work load now (OTOH I've been running it for a while and it hasn't buried me in bugs). svn path=/trunk/; revision=49784
Diffstat (limited to 'tools')
-rwxr-xr-xtools/fuzz-test.sh9
-rwxr-xr-xtools/test-captures.sh19
-rw-r--r--tools/test-common.sh2
3 files changed, 13 insertions, 17 deletions
diff --git a/tools/fuzz-test.sh b/tools/fuzz-test.sh
index dd70d8072a..18df350d6b 100755
--- a/tools/fuzz-test.sh
+++ b/tools/fuzz-test.sh
@@ -60,13 +60,10 @@ else
# r Read packet data from the following infile
RUNNER="$TSHARK"
declare -a RUNNER_ARGS=("${CONFIG_PROFILE}${TWO_PASS}-nVxr" "${CONFIG_PROFILE}${TWO_PASS}-nr")
- # Running with a read filter but without generating the tree exposes some "More than 100000 items
- # in tree" bugs (which currently need WIRESHARK_ABORT_ON_DISSECTOR_BUG to be noticed--maybe that
- # error should have its own environment variable?).
- # Leave this commented out for now until someone has time to run it through the menagerie once
- # or twice (so we don't get buried in bugs)...
+ # Running with a read filter but without generating the tree exposes some
+ # "More than 100000 items in tree" bugs.
+ # Not sure if we want to add even more cycles to the fuzz bot's work load...
#declare -a RUNNER_ARGS=("${CONFIG_PROFILE}${TWO_PASS}-nVxr" "${CONFIG_PROFILE}${TWO_PASS}-nr" "-Yframe ${CONFIG_PROFILE}${TWO_PASS}-nr")
- #export WIRESHARK_ABORT_ON_DISSECTOR_BUG=
fi
diff --git a/tools/test-captures.sh b/tools/test-captures.sh
index 0537e88a48..ab4ee2e910 100755
--- a/tools/test-captures.sh
+++ b/tools/test-captures.sh
@@ -55,17 +55,14 @@ do
if $BIN_DIR/tshark -nr $file > /dev/null
then
echo "OK"
- # We may not be ready to looking for all these bugs yet...
- #echo -n " - without tree but with a read filter... "
- #export WIRESHARK_ABORT_ON_DISSECTOR_BUG=
- #if $BIN_DIR/tshark -Yframe -nr $file > /dev/null
- #then
- # echo "OK"
- #else
- # echo "Failed"
- # exit 1
- #fi
- #unset WIRESHARK_ABORT_ON_DISSECTOR_BUG
+ echo -n " - without tree but with a read filter... "
+ if $BIN_DIR/tshark -Yframe -nr $file > /dev/null
+ then
+ echo "OK"
+ else
+ echo "Failed"
+ exit 1
+ fi
else
echo "Failed"
exit 1
diff --git a/tools/test-common.sh b/tools/test-common.sh
index ee56b6e0ee..de72b33d88 100644
--- a/tools/test-common.sh
+++ b/tools/test-common.sh
@@ -67,6 +67,8 @@ export WIRESHARK_EP_VERIFY_POINTERS=
export WIRESHARK_SE_VERIFY_POINTERS=
# Use the Wmem strict allocator which does canaries and scrubbing etc.
export WIRESHARK_DEBUG_WMEM_OVERRIDE=strict
+# Abort if a dissector adds too many items to the tree
+export WIRESHARK_ABORT_ON_TOO_MANY_ITEMS=
# Turn on GLib memory debugging (since 2.13)
export G_SLICE=debug-blocks